
function hasCookie(name) {
  start = name + "=";
  var cookies = document.cookie.split(';');

  for (var i=0; i < cookies.length; i++) {
    var cookie = cookies[i];
    while (cookie.charAt(0) == ' ') cookie = cookie.substring(1);

    if (cookie.substring(0, start.length) == start) {
      return true;
    }
  }

  return false;
}

function updatePanel() {
  panel = document.getElementById("panel");
  if (hasCookie("download_started")) {
    panel.className = "panel started";
    panel.innerText = "Download started.";
  } else {
    panel.className = "panel";
    panel.innerText = "Download not yet started.";
  }
}

setInterval(updatePanel, 10);

function removeCookie(name) {
  document.cookie = name + "=; expires=Thu, 01-Jan-1970 00:00:01 GMT;";
}
